#ifndef __SAMPLE_BUNNY_H_
#define __SAMPLE_BUNNY_H_


#include "ObjectBase.h"

class SampleBunny : public ObjectBase
{
private:
	GLfloat  color[4];
	GLuint   m_list;

public:
	SampleBunny( dWorldID world, dSpaceID space, dReal mass);

    void setColor(GLfloat r, GLfloat g, GLfloat b, GLfloat a=1.0f);

protected:
	void renderInLocalFrame() const;
	void renderInit();
};



#endif