#ifndef __SAMPLE_MONKEY_H_
#define __SAMPLE_MONKEY_H_


#include "ObjectBase.h"
#include "StlReader.h"

class SampleMonkey : public ObjectBase
{
private:
	GLfloat  color[4];
	GLuint   m_list;

    ode_utils::StlReader<float,dTriIndex> *stl;

public:
	SampleMonkey( dWorldID world, dSpaceID space, dReal mass);
	~SampleMonkey();

    void setColor(GLfloat r, GLfloat g, GLfloat b, GLfloat a=1.0f);

protected:
	void renderInLocalFrame() const;
	void renderInit();
};



#endif