#ifndef __SIMPLE_BOX_H_
#define __SIMPLE_BOX_H_

#include "ObjectBase.h"

class SimpleBox : public ObjectBase
{
private:
	GLfloat color[4];
	GLuint theBox;
	GLfloat  xsize;
	GLfloat  ysize;
	GLfloat  zsize;

public:
	SimpleBox( dWorldID world, dSpaceID space, dReal x, dReal y, dReal z, dReal mass);

	void setColor(GLfloat r, GLfloat g, GLfloat b, GLfloat a=1.0f);

protected:
	void renderInLocalFrame() const;
	void renderInit();
};


#endif
