#ifndef __SIMPLE_CAPSULE_H_
#define __SIMPLE_CAPSULE_H_

#include "ObjectBase.h"

class SimpleCapsule : public ObjectBase
{
private:
	GLfloat color[4];
	GLuint theCapsule;
	GLfloat  length;
	GLfloat  radius;

public:
	SimpleCapsule( dWorldID world, dSpaceID space,dReal r,  dReal l, dReal mass);

	void setColor(GLfloat r, GLfloat g, GLfloat b, GLfloat a=1.0f);

protected:
	virtual void renderInLocalFrame() const;

	void renderInit();
};


#endif
