#ifndef __SIMPLE_CYLINDER_H_
#define __SIMPLE_CYLINDER_H_

#include "ObjectBase.h"

class SimpleCylinder : public ObjectBase
{
private:
	GLfloat color[4];
	GLuint theCylinder;
	dReal  length;
	dReal  radius;
	dReal  zoffset;

public:
	SimpleCylinder( dWorldID world, dSpaceID space,dReal r,  dReal l, dReal mass);

	void setColor(GLfloat r, GLfloat g, GLfloat b, GLfloat a=1.0f);

protected:
	void renderInLocalFrame() const;
	void renderInit();
};


#endif
