#ifndef __SIMPLE_GROUND_H_
#define __SIMPLE_GROUND_H_

#include "ObjectBase.h"

class SimpleGround : public ObjectBase
{
private:
    GLuint  m_ground_id;
    GLuint  m_marker_id;

    GLfloat m_gsize;

public:
    SimpleGround( dWorldID world, dSpaceID space, float gsize );

protected:
    void renderInLocalFrame() const;
    void renderInit();
};

#endif
