#ifndef __SIMPLE_SPHERE_H_
#define __SIMPLE_SPHERE_H_

#include "ObjectBase.h"

class SimpleSphere : public ObjectBase
{
private:
	GLfloat color[4];
	GLuint theSphere;
	GLfloat radius;

public:
	SimpleSphere( dWorldID world, dSpaceID space, dReal radius, dReal mass);

	void setColor(GLfloat r, GLfloat g, GLfloat b, GLfloat a=1.0f);

protected:
	void renderInLocalFrame() const;
	void renderInit();
};

#endif
